---
updatedAt: 2026-05-28T14:47:16.000Z
---

Fetch the complete documentation index at: https://docs.blockdaemon.com/llms.txt. Use this file to discover all available pages before exploring further. Append .md to any documentation page URL to get its markdown version.

# Polygon via Ethereum API

**Step 1:** To access Polygon via Ethereum, use the native access endpoint with `http-rpc` at the end:

* **Network:** Polygon Mainnet
* **Request Type:** POST

```
https://svc.blockdaemon.com/polygon/mainnet/native/http-rpc
```

* **Network:** Polygon Amoy
* **Request Type:** POST

```
https://svc.blockdaemon.com/polygon/amoy/native/http-rpc
```

**Step 2:** Authenticate your request using your API key. You can include the API key using either of the following headers:

```curl Bearer Token
Authorization: Bearer YOUR_API_KEY
```

```curl X-API-Key
X-API-Key: YOUR_API_KEY
```

**Step 3:** Specify an Ethereum method in the request body:

> Learn more about Polygon methods [here](https://docs.blockdaemon.com/reference/polygon-methods-rpc-api).

```json
{
    "jsonrpc": "2.0",
    "id": 1,
    "method": "YOUR_METHOD",
    "params": []
}
```

## Example Request

Here is a cURL example for using [**eth\_blockNumber**](https://ethereum.org/en/developers/docs/apis/json-rpc/#eth_blocknumber) to get the current block number in Polygon Mainnet:

```curl
curl -X \
POST https://svc.blockdaemon.com/polygon/mainnet/native/http-rpc \
-H 'Authorization: Bearer YOUR_API_KEY' \
-H 'Content-Type: application/json' \
-d '{"jsonrpc": "2.0", "id": 1, "method": "eth_blockNumber", "params": []}'
```

The following is a typical response you will get:

```json
{
    "jsonrpc": "2.0",
    "id": 1,
    "result": "0x22105c3"
}
```

***

Here is a cURL example for using [**eth\_gasPrice**](https://ethereum.org/en/developers/docs/apis/json-rpc/#eth_gasprice) to get the current block number in Polygon Mainnet:

```curl
curl -X \
POST https://svc.blockdaemon.com/polygon/mainnet/native/http-rpc \
-H 'Authorization: Bearer YOUR_API_KEY' \
-H 'Content-Type: application/json' \
-d '{"jsonrpc": "2.0", "id": 1, "method": "eth_gasPricer", "params": []}'
```

The following is a typical response you will get:

```json
{
  "jsonrpc": "2.0",
  "id":1,
  "result": "0x1dfd14000" 
}
```

## 👋 Need Help?

Contact us through [email](mailto:support@blockdaemon.com) or our [support page](https://www.blockdaemon.com/support) for any issues, bugs, or assistance you may need.